import { Component, OnInit, Input } from '@angular/core';

@Component({
  selector: 'jhi-exercise-metadata-list-item',
  templateUrl: './exercise-metadata-list-item.component.html',
  styleUrls: ['./exercise-metadata-list-item.component.scss'],
})
export class ExerciseMetadataListItemComponent implements OnInit {
  @Input() description: string | undefined;
  @Input() value: string[] | undefined;
  @Input() treatAsHTML = false;

  constructor() {}

  ngOnInit(): void {}

  public arrayToString(array: string[]): string {
    let result = '';
    for (let i = 0; i < array.length - 1; ++i) {
      result += array[i] + ', ';
    }
    result += array[array.length - 1];
    return result;
  }
}
