package at.ac.uibk.gitsearch.repository;

import at.ac.uibk.gitsearch.domain.Statistics;
import at.ac.uibk.gitsearch.service.dto.StatisticsDTO;
import java.util.Optional;

import org.springframework.data.domain.Page;
import org.springframework.data.jpa.repository.*;
import org.springframework.stereotype.Repository;

/**
 * Spring Data  repository for the Statistics entity.
 */
@Repository
public interface StatisticsRepository extends JpaRepository<Statistics, Long> {

    Optional<Statistics> findByExerciseID(Long id);
}
